# DocumentDataExtractorCommonConfiguration class

Convenience configuration element for enabling the scanning of multiple document types with a common configuration. Add to extractor configuration to enable the scanning of multiple document types.

Inheritance
  - Object
  - DocumentDataExtractorConfigurationElement
  - DocumentDataExtractorCommonConfiguration

## Constructors

DocumentDataExtractorCommonConfiguration.new({required List<String> acceptedDocumentTypes})
DocumentDataExtractorCommonConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

acceptedDocumentTypes ↔ List<String>
  List of document types to scan. By default, the list is empty.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited